/*
 * Copyright (c) 2026 盐灯水母
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

package com.remains_cave.entity.client;

import com.remains_cave.RemainsCaveMod;
import com.remains_cave.item.custom.TombBowItem;
import net.minecraft.resources.ResourceLocation;
import software.bernie.geckolib.model.GeoModel;

public class TombBowModel extends GeoModel<TombBowItem> {
    // 使用你的 MODID 常量
    private static final ResourceLocation MODEL = ResourceLocation.fromNamespaceAndPath(RemainsCaveMod.MODID, "geo/item/tomb_bow.geo.json");
    private static final ResourceLocation TEXTURE = ResourceLocation.fromNamespaceAndPath(RemainsCaveMod.MODID, "textures/item/tomb_bow.png");
    private static final ResourceLocation ANIMATION = ResourceLocation.fromNamespaceAndPath(RemainsCaveMod.MODID, "animations/item/tomb_bow.animation.json");

    @Override
    public ResourceLocation getModelResource(TombBowItem animatable) {
        return MODEL;
    }

    @Override
    public ResourceLocation getTextureResource(TombBowItem animatable) {
        return TEXTURE;
    }

    @Override
    public ResourceLocation getAnimationResource(TombBowItem animatable) {
        return ANIMATION; // 如果没有动画，可以返回 null
    }
}